Bug 192023 - can't update
can't update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgsf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 17:39 EDT by David Sherman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 11:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sherman 2006-05-16 17:39:21 EDT
Description of problem:
When I do d package update today, I get error message:
Missing dependency libgsf-1.so.113 needed by package librsvg2.




Version-Release number of selected component (if applicable):


How reproducible:
every time is try to update

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-05-17 03:22:07 EDT
Are you sure ?

You say FC-5, can you
rpm -q librsvg2
rpm -q libgsf
and paste in the results here.
Comment 2 David Lawrence 2006-05-17 10:50:49 EDT
Passed on from email from dhs13@hotmail.com:

[root@FedoraCore5 ~]# rpm -q librsvg2
librsvg2-2.14.2-2
[root@FedoraCore5 ~]# rpm -q libgsf
libgsf-1.14.0-1
[root@FedoraCore5 ~]#
Comment 3 Caolan McNamara 2006-05-17 11:11:46 EDT
The latest FC-5 libgsf and librsvg rpms are libgsf-1.13.3-2.2.1 and
librsvg2-2.14.4-1.fc5.1. And both the rpms listed above are greater than this
release, so it can't be an FC-5 problem I'd say.

Assuming then that it's a rawhide box, not an FC-5 one, then the latest rpms are
now libgsf-1.14.1-2 and librsvg2-2.15.0-1 and I was able to upgrade to both rpm
versions. So I'd guess you got unlucky with mirrors or a gap between libgsf
being available and librsvg2 being rebuilt against it, and so just need to yum
update.

Feel free to reopen if I'm wrong
Comment 4 David Sherman 2006-05-17 11:37:41 EDT
When I do a yum update, here are my results:

[root@FedoraCore5 ~]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
extras                                                               [1/3]
updates                                                              [2/3]
core                                                                 [3/3]
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package php-pear.noarch 1:1.4.9-1 set to be updated
---> Package php-ldap.i386 0:5.1.4-1 set to be updated
---> Package librsvg2-devel.i386 0:2.14.3-1.fc5.1 set to be updated
---> Package vnc-server.i386 0:4.1.1-37.fc5 set to be updated
---> Package librsvg2.i386 0:2.14.3-1.fc5.1 set to be updated
---> Package php.i386 0:5.1.4-1 set to be updated
--> Running transaction check
--> Processing Dependency: libgsf-1.so.113 for package: librsvg2
--> Finished Dependency Resolution
Error: Missing Dependency: libgsf-1.so.113 is needed by package librsvg2
[root@FedoraCore5 ~]#

How can I fix this?

thanks
Comment 5 Caolan McNamara 2006-05-17 12:03:40 EDT
So you really are FC-5, except that your libgsf is (somehow) newer than the
libgsf released with FC-5, so I suggest manually downloading the lastest libgsf
for FC-5 and downgrading to that version (which is the one that the fc5-update
librsvg2 shown above wants) e.g. 

wget
http://download.fedora.redhat.com/pub/fedora/linux/core/5/i386/os/Fedora/RPMS/libgsf-1.13.3-2.2.1.i386.rpm
rpm --update --oldpackage libgsf-1.13.3-2.2.1.i386.rpm
yum update
Comment 6 David Sherman 2006-05-17 14:27:27 EDT
When I try your suggestion:

root@FedoraCore5 david]# rpm -U --oldpackage libgsf-1.13.3-2.2.1.i386.rpm
error: Failed dependencies:
        libgsf-1.so.114 is needed by (installed) librsvg2-2.14.2-2.i386
        libgsf-1.so.114 is needed by (installed) gsf-sharp-0.6-9.i386
        libgsf-1.so.114 is needed by (installed) libwpd-0.8.4-2.i386
        libgsf-gnome-1.so.114 is needed by (installed) gsf-sharp-0.6-9.i386
        libgsf = 1.14.0-1 is needed by (installed) libgsf-devel-1.14.0-1.i386

I get more failed dependencies.
Comment 7 Caolan McNamara 2006-05-17 15:40:03 EDT
I think you should approach one of the help forums, there is nothing inherently
wrong with libgsf or librsvg2 here, libgsf-1.so.113 is provided by the version
of libgsf in fc5, libgsf-1.so.114 is provided by the version of libgsf in
rawhide. Somewhere along the way you have packages installed on your machine
which are newer than the ones provided by FC-5. I cannot really help you with
this problem through bugzilla. 

e.g. libwpd in FC-5 is libwpd-0.8.4-1.2.1, that in rawhide is libwpd-0.8.4-2
which is what you have installed. I think you have a box of a mixture of FC-5
packages and rawhide ones, either you move forward to rawhide packages to
resolve the conflicts, or backwards to FC-5 equivalents.

Note You need to log in before you can comment on or make changes to this bug.